<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/writedataavs.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>writedataavs.c File Reference</h1><code>#include &quot;<a class="el" href="magpario_8h_source.html">magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<code>#include &lt;errno.h&gt;</code><br/>
<div class="dynheader">
Include dependency graph for writedataavs.c:</div>
<div class="dynsection">
<div class="center"><img src="writedataavs_8c__incl.png" border="0" usemap="#io_2writedataavs_8c_map" alt=""/></div>
<map name="io_2writedataavs_8c_map" id="io_2writedataavs_8c">
<area shape="rect" id="node3" href="magpario_8h.html" title="magpario.h" alt="" coords="108,86,193,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="217,86,287,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="writedataavs_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedataavs_8c.html#ae821231396164e33ec42f01e154f5e3c">NEDATA</a>&nbsp;&nbsp;&nbsp;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedataavs_8c.html#a36b5a0a7c9d9a2c0e0060a859ae15269">NEDATA2</a>&nbsp;&nbsp;&nbsp;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedataavs_8c.html#af215ac82540b8d194697eb5167dcddf2">FPRINTF2</a>(a, b)&nbsp;&nbsp;&nbsp;PetscFPrintf(PETSC_COMM_WORLD,a,b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedataavs_8c.html#a35f23df8418521c8187d3de651740e14">FPRINTF3</a>(a, b, c)&nbsp;&nbsp;&nbsp;PetscFPrintf(PETSC_COMM_WORLD,a,b,c)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedataavs_8c.html#aee403d14a781f164b0e81a247fe8df92">D_FLT</a>&nbsp;&nbsp;&nbsp;50</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedataavs_8c.html#acbf9b17358605863de9e2c1a5b802e53">D_EID</a>&nbsp;&nbsp;&nbsp;8</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedataavs_8c.html#a48365c59700e0898a081cd2299f23c91">nvdata</a>&nbsp;&nbsp;&nbsp;12</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedataavs_8c.html#a617c029487285a8f6077f0397c386342">WriteAVS</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="acbf9b17358605863de9e2c1a5b802e53"></a><!-- doxytag: member="writedataavs.c::D_EID" ref="acbf9b17358605863de9e2c1a5b802e53" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define D_EID&nbsp;&nbsp;&nbsp;8</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedataavs_8c_source.html#l00048">48</a> of file <a class="el" href="writedataavs_8c_source.html">writedataavs.c</a>.</p>

<p>Referenced by <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, and <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="aee403d14a781f164b0e81a247fe8df92"></a><!-- doxytag: member="writedataavs.c::D_FLT" ref="aee403d14a781f164b0e81a247fe8df92" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define D_FLT&nbsp;&nbsp;&nbsp;50</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedataavs_8c_source.html#l00047">47</a> of file <a class="el" href="writedataavs_8c_source.html">writedataavs.c</a>.</p>

<p>Referenced by <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, and <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="af215ac82540b8d194697eb5167dcddf2"></a><!-- doxytag: member="writedataavs.c::FPRINTF2" ref="af215ac82540b8d194697eb5167dcddf2" args="(a, b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FPRINTF2</td>
          <td>(</td>
          <td class="paramtype">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;PetscFPrintf(PETSC_COMM_WORLD,a,b)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedataavs_8c_source.html#l00043">43</a> of file <a class="el" href="writedataavs_8c_source.html">writedataavs.c</a>.</p>

<p>Referenced by <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a35f23df8418521c8187d3de651740e14"></a><!-- doxytag: member="writedataavs.c::FPRINTF3" ref="a35f23df8418521c8187d3de651740e14" args="(a, b, c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FPRINTF3</td>
          <td>(</td>
          <td class="paramtype">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">c&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;PetscFPrintf(PETSC_COMM_WORLD,a,b,c)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedataavs_8c_source.html#l00044">44</a> of file <a class="el" href="writedataavs_8c_source.html">writedataavs.c</a>.</p>

<p>Referenced by <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="ae821231396164e33ec42f01e154f5e3c"></a><!-- doxytag: member="writedataavs.c::NEDATA" ref="ae821231396164e33ec42f01e154f5e3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NEDATA&nbsp;&nbsp;&nbsp;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedataavs_8c_source.html#l00032">32</a> of file <a class="el" href="writedataavs_8c_source.html">writedataavs.c</a>.</p>

<p>Referenced by <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, and <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a36b5a0a7c9d9a2c0e0060a859ae15269"></a><!-- doxytag: member="writedataavs.c::NEDATA2" ref="a36b5a0a7c9d9a2c0e0060a859ae15269" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NEDATA2&nbsp;&nbsp;&nbsp;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedataavs_8c_source.html#l00033">33</a> of file <a class="el" href="writedataavs_8c_source.html">writedataavs.c</a>.</p>

<p>Referenced by <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>.</p>

</div>
</div>
<a class="anchor" id="a48365c59700e0898a081cd2299f23c91"></a><!-- doxytag: member="writedataavs.c::nvdata" ref="a48365c59700e0898a081cd2299f23c91" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define nvdata&nbsp;&nbsp;&nbsp;12</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a617c029487285a8f6077f0397c386342"></a><!-- doxytag: member="writedataavs.c::WriteAVS" ref="a617c029487285a8f6077f0397c386342" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteAVS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>1 sign + 1 digit + 1 decimal point + 5 digits (mantissa) + 1 e + 1 sign + 2 digits (exponent) + 1 space </p>

<p>Definition at line <a class="el" href="writedataavs_8c_source.html#l00055">55</a> of file <a class="el" href="writedataavs_8c_source.html">writedataavs.c</a>.</p>

<p>References <a class="el" href="writedataavs_8c_source.html#l00048">D_EID</a>, <a class="el" href="writedataavs_8c_source.html#l00047">D_FLT</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="writedataavs_8c_source.html#l00043">FPRINTF2</a>, <a class="el" href="writedataavs_8c_source.html#l00044">FPRINTF3</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="writedataavs_8c_source.html#l00032">NEDATA</a>, <a class="el" href="writedataavs_8c_source.html#l00033">NEDATA2</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="writedataavs_8c.html#a48365c59700e0898a081cd2299f23c91">nvdata</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="syncffprintf_8c_source.html#l00035">SynchronizedFastFPrintf()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>, <a class="el" href="griddata_8h_source.html#l00248">GridData::VHdem</a>, <a class="el" href="griddata_8h_source.html#l00251">GridData::VHexchani</a>, and <a class="el" href="griddata_8h_source.html#l00257">GridData::VHext</a>.</p>

<p>Referenced by <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writedataavs_8c_a617c029487285a8f6077f0397c386342_cgraph.png" border="0" usemap="#writedataavs_8c_a617c029487285a8f6077f0397c386342_cgraph_map" alt=""></div>
<map name="writedataavs_8c_a617c029487285a8f6077f0397c386342_cgraph_map" id="writedataavs_8c_a617c029487285a8f6077f0397c386342_cgraph">
<area shape="rect" id="node3" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="131,5,296,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writedataavs_8c_a617c029487285a8f6077f0397c386342_icgraph.png" border="0" usemap="#writedataavs_8c_a617c029487285a8f6077f0397c386342_icgraph_map" alt=""></div>
<map name="writedataavs_8c_a617c029487285a8f6077f0397c386342_icgraph_map" id="writedataavs_8c_a617c029487285a8f6077f0397c386342_icgraph">
<area shape="rect" id="node3" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="132,129,201,160"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="251,76,389,107"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="613,101,672,132"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="475,229,528,260"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="256,129,384,160"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="281,23,359,53"/><area shape="rect" id="node23" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="277,183,363,213"/><area shape="rect" id="node27" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="275,236,365,267"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="720,140,771,171"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="439,24,564,55"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

